/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Dio_Lcfg.c
 *    \author     Baciu Vlad-Eusebiu
 *    \brief      Defines the configuration for every DIO channel and PORT.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/
#include "Dio.h"
#include "Dio_Cfg.h"
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Definition Of Local Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                           Definition Of Local Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                           Declaration Of Local Variables                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Declaration Of Global Variables                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                           Declaration Of Local Constants                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Declaration Of Global Constants                                          */
/*-------------------------------------------------------------------------------------------------------------------*/
/** \brief  Port configuration array. */
const Dio_PortCfgType Dio_gkat_PortAdress[DIO_NUMBER_OF_PORTS] =
{

/* PORT A */
{ GPIOA },
   /* PORT B */
   { GPIOB },
   /* PORT C */
   { GPIOC },
   /* PORT E */
   { GPIOE },
   /* PORT D */
   { GPIOD }
};

/** \brief  Channel configuration array. */
const Dio_ChannelCfgType Dio_gkat_ChannelCfg[DIO_NUMBER_OF_CHANNELS] =
{

 /* PA0 channel - joystick button */
  { GPIO_IDR_IDR_0, DIO_PORTA },
   /* PE7 channel - Lcd RW pin */
   { GPIO_IDR_IDR_7, DIO_PORTE },
   /* PE9 channel - Lcd EN pin */
   { GPIO_IDR_IDR_9, DIO_PORTE },
   /* PE11 channel - Lcd D4 pin */
   { GPIO_IDR_IDR_11, DIO_PORTE },
   /* PE13 channel - Lcd D5 pin */
   { GPIO_IDR_IDR_13, DIO_PORTE },
   /* PE15 channel - Lcd D6 pin */
   { GPIO_IDR_IDR_15, DIO_PORTE },
   /* PB11 channel - Lcd D7 pin */
   { GPIO_IDR_IDR_11, DIO_PORTB },
   /* PD0 channel - AL motor control */
   { GPIO_IDR_IDR_0, DIO_PORTD },
   /* PD2 channel - BL motor control */
   { GPIO_IDR_IDR_2, DIO_PORTD },
   /* PD4 channel - CL motor control */
   { GPIO_IDR_IDR_4, DIO_PORTD },
   /* PD11 channel - Led indicator */
   { GPIO_IDR_IDR_11, DIO_PORTD },
   /* PD13 channel - Led indicator */
   { GPIO_IDR_IDR_13, DIO_PORTD },
   /* PD15 channel - Led indicator */
   { GPIO_IDR_IDR_15, DIO_PORTD },
   /* PB0 channel  - Read battery command */
   { GPIO_IDR_IDR_0, DIO_PORTB },
};
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                           Declaration Of Local Functions                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                         Implementation Of Local Functions                                         */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                         Implementation Of Global Functions                                        */
/*-------------------------------------------------------------------------------------------------------------------*/
